#include "menu.h"
#include "part.h"
/* main menu */
/* menu-sync = screen agrees with menu contents */
PART part1 = {0};
PART null_part = {0};
extern MENU add_menu, chg_menu, del_menu, acd_menu;
/* isn_part - verify that no record exists for this key */
bool isn_part(pm)
	MENU *pm;		/* : menu-sync */
	{
	if (db_find_part(&part1))
		{
		/* pm => !menu-sync, new part contents */
		remark("This part is entered already", "");
		STRUCTASST(part1, null_part);	/* clear the part struct */
		mu_pr(pm);						/* pm => menu-sync */
		return (NO);
		}
	return (YES);
	}																					                                                                         /*
.PE
.PS 14
/* is_part - verify that record exists and read it into part1 */
bool is_part(pm)
	MENU *pm;
	{
	if (!db_find_part(&part1))
		{
		remark("Unknown part number", "");
		STRUCTASST(part1, null_part);		/* clear the part struct */
		mu_pr(pm);		/* display the cleared record, pm => menu-sync */
		return (NO);
		}
	/* pm => !menu-sync, new part contents */
	mu_pr(pm);			/* display the found record, pm => menu-sync */
	return (YES);
	}																					                                                                         /*
.PE
.PS 19
/* addpart - add a part record */
bool addpart(pm)
	MENU *pm;
	{
	char reply[2];

	STRUCTASST(part1, null_part);
	mu_do(&add_menu);
	/* if no valid transaction occured, exit without change to db */
	if (part1.part_no[0] == '\0')
		return (NO);
	mu_reply("Add this part [y/n]? ", reply, 2);
	if (reply[0] == 'y')
		{
		return (db_add_part(&part1));
		}
	else
		return (NO);
	}																				                                                                         /*
.PE
.PS 18
/* chgpart - change a part record */
bool chgpart(pm)
	MENU *pm;
	{
	char reply[2];

	STRUCTASST(part1, null_part);
	mu_do(&chg_menu);
	/* if no valid transaction occured, exit without change to db */
	if (part1.part_no[0] == '\0')
		return (NO);
	mu_reply("Change this part [y/n]? ", reply, 2);
	if (reply[0] == 'y')
		return (db_chg_part(&part1));
	else
		return (NO);
	}																					                                                                         /*
.PE
.PS 18
/* delpart - delete a part record */
bool delpart(pm)
	MENU *pm;
	{
	char reply[2];

	STRUCTASST(part1, null_part);
	mu_do(&del_menu);
	/* if no valid transaction occured, exit without change to db */
	if (part1.part_no[0] == '\0')
		return (NO);
	mu_reply("Delete this part [y/n]? ", reply, 2);
	if (reply[0] == 'y')
		return (db_del_part(&part1));
	else
		return (NO);
	}																					                                                                         /*
.PE
.PS 7
/* part_menu (main) - execute the parts menu */
main()
	{
	db_open_part();
	mu_do(&acd_menu);
	db_close_part();
	}
